Bug 701021 - Translations not loaded when Authencation Dialogue prompted
Translations not loaded when Authencation Dialogue prompted
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2011-04-30 08:25 EDT by Cheng-Chia Tseng
Modified: 2013-07-25 02:48 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-25 02:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot to show the problem. (102.82 KB, image/png)
2011-06-02 10:51 EDT, Cheng-Chia Tseng
no flags Details
Translated message (60.46 KB, image/png)
2011-08-09 22:32 EDT, A S Alam
no flags Details
packagekit_authentication_promt_not_localized (30.52 KB, image/png)
2011-08-30 00:34 EDT, Cheng-Chia Tseng
no flags Details
system-config-firewall authentication prompt not localized (30.27 KB, image/png)
2011-08-30 00:36 EDT, Cheng-Chia Tseng
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 665497 None None None 2012-06-27 21:40:02 EDT
GNOME Desktop 675300 None None None 2012-06-27 21:40:42 EDT
FreeDesktop.org 51488 None None None 2012-06-27 21:41:40 EDT

  None (edit)
Description Cheng-Chia Tseng 2011-04-30 08:25:04 EDT
Description of problem:
When promting Authencation Dialogue, the translated strings are not loaded.
Now packagekit, system-config-firewall, system-config-print are infected. Other programs need to be investigated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use a locale wich has full translated system-config-filewall other than English (such as Chinese (Taiwan))
2. Open system-config-filewall
3. Aunthencation Dialogue prompt
Actual results:
Stirngs are in English.

Expected results:
Showing fully translated strings.

Additional info:
Comment 1 Cheng-Chia Tseng 2011-04-30 08:26:20 EDT
PolicyKit is the componet which I guess the issue related to. Hope the information above helps.
Comment 2 Bill Nottingham 2011-05-03 10:58:09 EDT
AFAIK, these strings are now in gnome-shell. CC'ing polkit maintainer for clarification.
Comment 3 Cheng-Chia Tseng 2011-05-03 12:01:23 EDT
I am the administrater of Ubuntu Chinese (Traditional) Translators besides a Fedora translater. There is something alike happened to aptdaemon of Ubuntu, you can have a check too.

Maybe this will help: https://bugs.launchpad.net/aptdaemon/+bug/663150
Comment 4 Cheng-Chia Tseng 2011-06-02 10:51:05 EDT
Created attachment 502560 [details]
Screenshot to show the problem.

The string is still in English, although it has been translated.
Comment 5 Cheng-Chia Tseng 2011-06-02 12:25:00 EDT

1. "Authentication is required to install a signed package" in PackageKit. 
You can get the translation at /usr/share/locale/zh_TW/LC_MESSAGES/PackageKit.mo

2. "Authentication is required to read and modify firewall settings" in system-config-firewall.
You can get the translation at /usr/share/locale/zh_TW/LC_MESSAGES/system-config-firewall.mo

And you can use msgunfmt XXX.mo > XXX.po to read mo file in human readible format (gettext shuold be installed fisrt) to check the translation.
Comment 6 Tommy He 2011-06-03 10:18:24 EDT
After investigation, the zh_CN translations are not displayed either, even through it exist in /usr/share/locale/zh_CN/LC_MESSAGES/system-config-firewall.mo file.
Comment 7 Cheng-Chia Tseng 2011-07-13 21:23:54 EDT
It seems to be a bug affecting not only one language. It is something series.

Could Policykit and gnome-shell developers help with we translators?
Comment 8 Cheng-Chia Tseng 2011-07-29 07:02:50 EDT
I think that this issue is quite critical for we translators all over the world.

If it cannot be resolved, people see authentication dialogues in English. The i18n work from developers and l10n work from translators are ALL IN VAIN.

Please consider to investigate this bug when you are less busy. :)
Comment 9 A S Alam 2011-08-09 22:31:02 EDT
I tried to run s-c-firewall in Punjabi (pa_IN), Authentication dialogue was translation attaching screen-shot (Fedora 15) with following packages:
Comment 10 A S Alam 2011-08-09 22:32:14 EDT
Created attachment 517512 [details]
Translated message
Comment 11 A S Alam 2011-08-09 22:37:51 EDT
(In reply to comment #9)
> I tried to run s-c-firewall in Punjabi (pa_IN), Authentication dialogue was
> translation attaching screen-shot (Fedora 15) with following packages:

sorry, "Password" is still in English (tested pa_IN and zh_TW/zh_CN)

Better to upstream this bug in either case (gnome-shell or polkit)
Comment 12 Cheng-Chia Tseng 2011-08-30 00:34:56 EDT
Created attachment 520513 [details]
Comment 13 Cheng-Chia Tseng 2011-08-30 00:36:14 EDT
Created attachment 520514 [details]
system-config-firewall authentication prompt not localized
Comment 14 Cheng-Chia Tseng 2011-08-30 00:44:47 EDT
The details of packagekit authentication promt not localized:

 Action: org.freedesktop.packagekit.package-install
Vendor: The PackageKit Project
Comment 15 Akira TAGOH 2012-06-26 01:54:14 EDT
That seems still persists in even f17. I can see "Password" in English as it was reported at comment#11.
Comment 16 Cheng-Chia Tseng 2012-06-26 10:05:39 EDT
I have filed a bug report to upstream.

If any new clue presents or the problem does not fixed in later GNOME releases, just tell upstream directly. I think that will make the developers to know it better and understand how important the issue means for non-English users.
Comment 17 Piotr Drąg 2012-06-27 07:26:23 EDT
The "Password:" string issue is tracked upstream here: https://bugzilla.gnome.org/show_bug.cgi?id=675300
Comment 18 Fedora End Of Life 2013-07-03 21:41:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Akira TAGOH 2013-07-25 02:41:57 EDT
This looks like fixed in f19, for Japanese at least. tested with User settings from gnome-control-center.
Comment 20 Akira TAGOH 2013-07-25 02:48:47 EDT
upstream bug has been closed as referred at comment#17, closing this as well.

Note You need to log in before you can comment on or make changes to this bug.